Bug 1290541 - [abrt] gnome-software: _gtk_widget_get_toplevel(): gnome-software killed by SIGSEGV
[abrt] gnome-software: _gtk_widget_get_toplevel(): gnome-software killed by S...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
24
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0e0dfbadce6c39e2d8266d2e8c5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 13:28 EST by Mikhail
Modified: 2017-08-08 08:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:30:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (58.13 KB, text/plain)
2015-12-10 13:28 EST, Mikhail
no flags Details
File: cgroup (229 bytes, text/plain)
2015-12-10 13:28 EST, Mikhail
no flags Details
File: core_backtrace (8.38 KB, text/plain)
2015-12-10 13:28 EST, Mikhail
no flags Details
File: dso_list (13.93 KB, text/plain)
2015-12-10 13:28 EST, Mikhail
no flags Details
File: environ (910 bytes, text/plain)
2015-12-10 13:28 EST, Mikhail
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-10 13:28 EST, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-10 13:28 EST, Mikhail
no flags Details
File: maps (46.89 KB, text/plain)
2015-12-10 13:28 EST, Mikhail
no flags Details
File: mountinfo (3.55 KB, text/plain)
2015-12-10 13:28 EST, Mikhail
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-10 13:28 EST, Mikhail
no flags Details
File: open_fds (2.42 KB, text/plain)
2015-12-10 13:28 EST, Mikhail
no flags Details
File: proc_pid_status (925 bytes, text/plain)
2015-12-10 13:28 EST, Mikhail
no flags Details
File: var_log_messages (1.39 KB, text/plain)
2015-12-10 13:28 EST, Mikhail
no flags Details

  None (edit)
Description Mikhail 2015-12-10 13:28:22 EST
Version-Release number of selected component:
gnome-software-3.18.3-2.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: _gtk_widget_get_toplevel
executable:     /usr/bin/gnome-software
global_pid:     3120
kernel:         4.4.0-0.rc3.git4.1.fc24.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _gtk_widget_get_toplevel at gtkwidgetprivate.h:369
 #1 gtk_widget_get_scale_factor at gtkwidget.c:10962
 #2 gtk_css_widget_node_get_style_provider at gtkcsswidgetnode.c:244
 #3 gtk_css_node_get_style_provider_or_null at gtkcssnode.c:103
 #4 gtk_css_node_invalidate_style_provider at gtkcssnode.c:1279
 #5 gtk_style_context_cascade_changed at gtkstylecontext.c:295
 #11 _gtk_style_provider_private_changed at gtkstyleproviderprivate.c:113
 #12 _gtk_style_cascade_add_provider at gtkstylecascade.c:361
 #13 gtk_style_context_add_provider_for_screen at gtkstylecontext.c:703
 #14 gs_feature_tile_init at gs-feature-tile.c:174
Comment 1 Mikhail 2015-12-10 13:28:31 EST
Created attachment 1104473 [details]
File: backtrace
Comment 2 Mikhail 2015-12-10 13:28:32 EST
Created attachment 1104474 [details]
File: cgroup
Comment 3 Mikhail 2015-12-10 13:28:34 EST
Created attachment 1104475 [details]
File: core_backtrace
Comment 4 Mikhail 2015-12-10 13:28:36 EST
Created attachment 1104476 [details]
File: dso_list
Comment 5 Mikhail 2015-12-10 13:28:37 EST
Created attachment 1104477 [details]
File: environ
Comment 6 Mikhail 2015-12-10 13:28:39 EST
Created attachment 1104478 [details]
File: exploitable
Comment 7 Mikhail 2015-12-10 13:28:40 EST
Created attachment 1104479 [details]
File: limits
Comment 8 Mikhail 2015-12-10 13:28:44 EST
Created attachment 1104480 [details]
File: maps
Comment 9 Mikhail 2015-12-10 13:28:46 EST
Created attachment 1104481 [details]
File: mountinfo
Comment 10 Mikhail 2015-12-10 13:28:47 EST
Created attachment 1104482 [details]
File: namespaces
Comment 11 Mikhail 2015-12-10 13:28:49 EST
Created attachment 1104483 [details]
File: open_fds
Comment 12 Mikhail 2015-12-10 13:28:51 EST
Created attachment 1104484 [details]
File: proc_pid_status
Comment 13 Mikhail 2015-12-10 13:28:52 EST
Created attachment 1104485 [details]
File: var_log_messages
Comment 14 Richard Hughes 2016-01-08 05:06:51 EST
Looks like a crash deep inside gtk; is this reproducable?
Comment 15 Jan Kurik 2016-02-24 09:07:45 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 16 Mikhail 2016-10-31 07:26:09 EDT
I don't  thinks so
Comment 17 Fedora End Of Life 2017-07-25 15:37:20 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2017-08-08 08:30:40 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.